[WF-General] Compiling wfmath

Wolfgang Beutner wolfgang.beutner at epost.de
Fri Sep 24 10:16:32 PDT 2004


Hello all,

I had to install my LINUX-Box from scratch due to hard disc problems. I 
installed version 9.1 SUSE professional. Kernel is 2.6.5-7.108-default 
gcc is version 3.3.3. When I compile wfmath version 0.3.3 I get the 
following output when polygon_intersect.cpp:

In file included from polygon_intersect.cpp:36:
polygon_intersect.h: In function `bool WFMath::_PolyContainsBox(const
    WFMath::_Poly2Orient<dim>&, const WFMath::Polygon<2>&, const
    WFMath::Point<dim>&, const WFMath::Vector<dim>&, bool)':
polygon_intersect.h:454: error: invalid use of undefined type `struct
    WFMath::ColinearVectors<2>'
../wfmath/error.h:37: error: declaration of `struct 
WFMath::ColinearVectors<2>'
polygon_intersect.cpp: At global scope:
polygon_intersect.cpp:173: error: too many initializers for `const
    __class_type_info_pseudo'

Any help would be appreciated.

Thanks a lot,

Wolfgang


More information about the General mailing list